﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Interop;

namespace Silverlight4_ComInterop
{
    public partial class TextToSpeech : UserControl
    {
        public TextToSpeech()
        {
            InitializeComponent();
        }

        //http://msdn.microsoft.com/en-us/library/ms723602(VS.85).aspx
        private void btnSpeak_Click(object sender, RoutedEventArgs e)
        {
            using (dynamic ISpeechVoice = ComAutomationFactory.CreateObject("SAPI.SpVoice"))
            {
                ISpeechVoice.Volume = 100;
                ISpeechVoice.Speak(string.Format("<rate speed=\"{0}\"><pitch middle=\"{1}\">{2}", Math.Round(sldrRate.Value), Math.Round(sldrPitch.Value), txtTextToSay.Text));
            }
        }
    }
}
